package jesse.keeblarcraft.GuiMgr.ShopKeeper;

import net.minecraft.item.ItemStack;

// All the custom content that a store item will have. Handled by @see MerchandiseScroller.java
public class StoreItem {
    private Double itemCost = 0.0;
    private String itemName;
    private String upc;
    private ItemStack storeItem;

    public StoreItem(String itemName, String upc, Double cost, ItemStack storeItem) {
        this.itemName = itemName;
        this.upc = upc;
        this.itemCost = cost;
        this.storeItem = storeItem;
    }

    public String GetName() {
        return this.itemName;
    }

    public ItemStack GetItem() {
        return this.storeItem;
    }

    public String GetUPC() {
        return this.upc;
    }

    public Double GetCost() {
        return this.itemCost;
    }

    public boolean equals(String other) {
        return upc.equals(other);
    }
}
